xine-lib: xine_video_port_s Struct Reference

xine-lib 1.2.12

Data Fields
xine_video_port_s Struct Reference

`#include <video_out.h>`

## Data Fields
uint32_t(* | get_capabilities )(xine_video_port_t *self)
void(* | open )(xine_video_port_t *self, xine_stream_t *stream)
vo_frame_t *(* | get_frame )(xine_video_port_t *self, uint32_t width, uint32_t height, double ratio, int format, int flags)
xine_grab_video_frame_t *(* | new_grab_video_frame )(xine_video_port_t *self)
vo_frame_t *(* | get_last_frame )(xine_video_port_t *self)
void(* | enable_ovl )(xine_video_port_t *self, int ovl_enable)
video_overlay_manager_t *(* | get_overlay_manager )(xine_video_port_t *self)
void(* | flush )(xine_video_port_t *self)
void(* | trigger_drawing )(xine_video_port_t *self)
int(* | get_property )(xine_video_port_t *self, int property)
int(* | set_property )(xine_video_port_t *self, int property, int value)
int(* | status )(xine_video_port_t *self, xine_stream_t *stream, int *width, int *height, int64_t *img_duration)
void(* | close )(xine_video_port_t *self, xine_stream_t *stream)
void(* | exit )(xine_video_port_t *self)
vo_driver_t * | driver

## Field Documentation

## ◆ close

void(* xine_video_port_s::close) (xine_video_port_t *self, xine_stream_t *stream)

Referenced by _x_post_intercept_video_port(), deinterlace_close(), deinterlace_open_plugin(), denoise3d_close(), denoise3d_open_plugin(), fftgraph_rewire_video(), fftscope_rewire_video(), fooviz_rewire_video(), goom_rewire_video(), mosaico_close(), mosaico_open_plugin(), oscope_rewire_video(), post_video_close(), post_video_rewire(), and tdaan_rewire_video().

## ◆ driver

vo_driver_t* xine_video_port_s::driver

Referenced by _x_post_intercept_video_port(), xine_new_grab_video_frame(), xine_port_send_gui_data(), and xine_stream_new().

## ◆ enable_ovl

void(* xine_video_port_s::enable_ovl) (xine_video_port_t *self, int ovl_enable)

Referenced by _x_post_intercept_video_port(), post_video_enable_ovl(), post_video_port_ref(), and post_video_port_unref().

## ◆ exit

void(* xine_video_port_s::exit) (xine_video_port_t *self)

Referenced by _x_post_intercept_video_port(), post_video_exit(), and xine_close_video_driver().

## ◆ flush

void(* xine_video_port_s::flush) (xine_video_port_t *self)

Referenced by _x_demux_flush_engine(), _x_post_intercept_video_port(), deinterlace_flush(), deinterlace_open_plugin(), and post_video_flush().

## ◆ get_capabilities

uint32_t(* xine_video_port_s::get_capabilities) (xine_video_port_t *self)

Referenced by _open_plugin(), _x_post_intercept_video_port(), ff_video_open_plugin(), mpeg2_init(), open_plugin(), post_video_get_capabilities(), post_video_port_ref(), post_video_port_unref(), and vo_get_capabilities().

## ◆ get_frame

vo_frame_t *(* xine_video_port_s::get_frame) (xine_video_port_t *self, uint32_t width, uint32_t height, double ratio, int format, int flags)

Referenced by _x_post_intercept_video_port(), boxblur_draw(), decode_picture(), deinterlace_build_output_field(), deinterlace_draw(), denoise3d_draw(), eq2_draw(), eq_draw(), expand_get_frame(), expand_open_plugin(), ff_video_open_plugin(), fill_get_frame(), fill_open_plugin(), invert_draw(), mosaico_draw_background(), noise_draw(), open_plugin(), parse_chunk(), post_video_get_frame(), post_video_port_ref(), post_video_port_unref(), pp_draw(), unsharp_draw(), and vdr_video_draw().

## ◆ get_last_frame

vo_frame_t *(* xine_video_port_s::get_last_frame) (xine_video_port_t *self)

Referenced by _x_get_current_frame_data(), _x_post_intercept_video_port(), and post_video_get_last_frame().

## ◆ get_overlay_manager

video_overlay_manager_t *(* xine_video_port_s::get_overlay_manager) (xine_video_port_t *self)

Referenced by _x_demux_flush_engine(), _x_post_intercept_video_port(), post_video_get_overlay_manager(), post_video_port_ref(), and post_video_port_unref().

## ◆ get_property

int(* xine_video_port_s::get_property) (xine_video_port_t *self, int property)

Referenced by _x_post_intercept_video_port(), deinterlace_get_property(), deinterlace_open_plugin(), eq2_get_property(), eq2_open_plugin(), eq_get_property(), eq_open_plugin(), open_plugin(), post_video_get_property(), video_decoder_loop(), and xine_get_param().

## ◆ new_grab_video_frame

xine_grab_video_frame_t *(* xine_video_port_s::new_grab_video_frame) (xine_video_port_t *self)

Referenced by _x_post_intercept_video_port(), post_video_new_grab_video_frame(), and xine_new_grab_video_frame().

## ◆ open

void(* xine_video_port_s::open) (xine_video_port_t *self, xine_stream_t *stream)

Referenced by _x_post_intercept_video_port(), deinterlace_open(), deinterlace_open_plugin(), dxr3_open_plugin(), open_plugin(), post_video_open(), post_video_rewire(), stream_rewire_video(), and theora_open_plugin().

## ◆ set_property

int(* xine_video_port_s::set_property) (xine_video_port_t *self, int property, int value)

Referenced by _x_demux_flush_engine(), _x_post_intercept_video_port(), close_internal(), deinterlace_close(), deinterlace_draw(), deinterlace_intercept_frame(), deinterlace_open(), deinterlace_open_plugin(), deinterlace_set_property(), eq2_open_plugin(), eq2_set_property(), eq_open_plugin(), eq_set_property(), post_video_set_property(), and xine_set_param().

## ◆ status

int(* xine_video_port_s::status) (xine_video_port_t *self, xine_stream_t *stream, int *width, int *height, int64_t *img_duration)

Referenced by _x_post_intercept_video_port(), post_video_rewire(), and post_video_status().

## ◆ trigger_drawing

void(* xine_video_port_s::trigger_drawing) (xine_video_port_t *self)

Referenced by _x_post_intercept_video_port(), and post_video_trigger_drawing().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/video_out.h